Get Trades
curl --request GET \
--url https://api.limitless.exchange/portfolio/trades \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.limitless.exchange/portfolio/trades"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.limitless.exchange/portfolio/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Portfolio
Get Trades
Retrieve all trades executed by the authenticated user
GET
/
portfolio
/
trades
Get Trades
Scope: AMM trades only. This endpoint returns your AMM (Automated Market Maker) trades. It does not return CLOB (order book) fills, including maker fills (
Limit Buy / Limit Sell) and taker fills (Market Buy / Market Sell). To read CLOB fills alongside AMM activity, splits, merges, NegRisk conversions, and claims, use Get History and filter on the strategy field.Authorizations
JWT token for API access (alternative to cookie auth)
Response
List of user trades with details
The response is of type object.